import javax.swing.*;

class fb extends f_x
{ public double func(double x)
   { return x*x-5.0;}}

public class H4YOEx8 {
public static void main(String args[])
{ fb ff=new fb();
  double x=1.0;
 String yazi="x ="+x+"  df/dx = "+sayisal.turev(ff,x);
 String s1="indirek fonksiyon adresi kullanma :";
 JOptionPane.showMessageDialog(null,yazi,s1,JOptionPane.PLAIN_MESSAGE);
}
}
